package com.yihu.hos.client;

import java.util.HashMap;
import java.util.Map;

/**
 * @created Airhead 2016/8/5.
 */
public class ClientRequest {
    private String module;
    private String method;
    private Map<String, String> args;

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public Map<String, String> getArgs() {
        return args;
    }

    public void setArgs(Map<String, String> args) {
        this.args = args;
    }

    public void addArg(String name, String value) {
        if (args == null) {
            args = new HashMap<>();
        }

        args.put(name, value);
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }
}
